package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ResourceApi;
import com.lightinit.hsdataportal.entity.ResourceApiExample;
import java.util.List;

import com.lightinit.hsdataportal.model.*;
import org.apache.ibatis.annotations.Param;

public interface ResourceApiMapper {
    long countByExample(ResourceApiExample example);

    int deleteByExample(ResourceApiExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceApi record);

    int insertSelective(ResourceApi record);

    List<ResourceApi> selectByExampleWithBLOBs(ResourceApiExample example);

    List<ResourceApi> selectByExample(ResourceApiExample example);

    ResourceApi selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceApi record, @Param("example") ResourceApiExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceApi record, @Param("example") ResourceApiExample example);

    int updateByExample(@Param("record") ResourceApi record, @Param("example") ResourceApiExample example);

    int updateByPrimaryKeySelective(ResourceApi record);

    int updateByPrimaryKeyWithBLOBs(ResourceApi record);

    int updateByPrimaryKey(ResourceApi record);

    //-------------------open--------------------

    List<APIOpenListModel> queryOpenList(APIOpenSearchModel apiOpenSearchModel);

    long queryOpenCount(APIOpenSearchModel apiOpenSearchModel);

    List<TagsSearchChildListModel> selectSearchChildList(@Param("catelogCode") String catelogCode);

    //-------------------share--------------------

    List<APIShareListModel> queryShareList(APIShareSearchModel apiShareSearchModel);

    long queryShareCount(APIShareSearchModel apiShareSearchModel);


}